;; Copyright 2011 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


(load "/usr/share/emacs/site-lisp/debian-startup.el")
(let ((flavor debian-emacs-flavor)
      (filename-list (file-expand-wildcards "/etc/emacs/site-start.d/*.el")))
  (setq filename-list
	(remove "/etc/emacs/site-start.d/50mmm-mode.el" filename-list))
  (message "initial cl %S" (featurep 'cl))
  (dolist (filename filename-list)
    (message "%S" filename)
    (load filename)
    (message "cl %S" (featurep 'cl))))
